For the complete documentation index, see llms.txt. This page is also available as Markdown.

Retrieve all Artifacts by Registry

This endpoint enables retrieving all Artifacts using pagination and optional filters.

get
Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token

Path parameters
registryIdstring · uuidRequired

The ID (UUID) of the Registry.

Example: 1e41a73c-59d0-5507-86dd-fa2fc2501cfd
Query parameters
offsetinteger · int32Optional

The first element (of the total list of elements) to include in the response. Use this parameter together with the limit for pagination.

Default: 0Example: 0
limitinteger · int32 · min: 1 · max: 1000Optional

The maximum number of elements to return. Use this parameter together with the offset for pagination.

Default: 100Example: 100
filter.vulnerabilityIdstringOptional

Filter resources by vulnerabilityId.

orderBystring · enumOptional

The field to order the results by. If not provided, the results will be ordered by the default field.

Default: -pullCountPossible values:
Responses
200

Returned all requested Artifacts successfully.

application/json
idstring · enumRequiredPossible values:
typestring · enumRequiredPossible values:
hrefstringRequiredExample: https://api.ionos.com/containerregistries/registries/artifacts
offsetintegerRead-onlyRequired

The offset specified in the request (if none was specified, the default offset is 0).

Example: 0
limitintegerRead-onlyRequired

The limit specified in the request (if none was specified, use the endpoint's default pagination limit).

Example: 42
get/registries/{registryId}/artifacts
GET /containerregistries/registries/{registryId}/artifacts HTTP/1.1
Host: api.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
  "id": "artifacts",
  "type": "collection",
  "href": "https://api.ionos.com/containerregistries/registries/artifacts",
  "items": [
    {
      "id": "sha256:12345678901234567890123456789012",
      "type": "artifact",
      "href": "https://api.ionos.com/containerregistries/registries/f39c94e6-e84b-4d25-b54f-75e4289be43c/repositories/my-service/artifacts/sha256:12345678901234567890123456789012",
      "metadata": {
        "createdDate": "2020-12-10T13:37:50+01:00",
        "createdBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "createdByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedDate": "2020-12-11T13:37:50+01:00",
        "lastModifiedBy": "ionos:identity:::users/87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "lastModifiedByUserId": "87f9a82e-b28d-49ed-9d04-fba2c0459cd3",
        "resourceURN": "ionos:<product>:<location>:<contract>:<resource-path>",
        "lastPushedAt": "2026-01-01T00:00:00.000Z",
        "lastPulledAt": "2026-01-01T00:00:00.000Z",
        "lastScannedAt": "2026-01-01T00:00:00.000Z",
        "pushCount": 1,
        "pullCount": 42,
        "vulnMaxSeverity": "high",
        "vulnTotalScore": 9.8,
        "vulnTotalCount": 20,
        "vulnFixableCount": 10
      },
      "properties": {
        "repositoryName": "my-service",
        "digest": "sha256:12345678901234567890123456789012",
        "tags": [
          "latest",
          "1.0.0"
        ],
        "mediaType": "application/vnd.oci.image.manifest.v1+json"
      }
    }
  ],
  "offset": 0,
  "limit": 42,
  "_links": {
    "prev": "http://PREVIOUS-PAGE-URI",
    "self": "http://THIS-PAGE-URI",
    "next": "http://NEXT-PAGE-URI"
  }
}

Last updated

Was this helpful?